# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.video_comments_api import VideoCommentsApi  # noqa: E501
from peertube.rest import ApiException


class TestVideoCommentsApi(unittest.TestCase):
    """VideoCommentsApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.video_comments_api.VideoCommentsApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_videos_id_comment_threads_get(self):
        """Test case for videos_id_comment_threads_get

        List threads of a video  # noqa: E501
        """
        pass

    def test_videos_id_comment_threads_post(self):
        """Test case for videos_id_comment_threads_post

        Create a thread  # noqa: E501
        """
        pass

    def test_videos_id_comment_threads_thread_id_get(self):
        """Test case for videos_id_comment_threads_thread_id_get

        Get a thread  # noqa: E501
        """
        pass

    def test_videos_id_comments_comment_id_delete(self):
        """Test case for videos_id_comments_comment_id_delete

        Delete a comment or a reply  # noqa: E501
        """
        pass

    def test_videos_id_comments_comment_id_post(self):
        """Test case for videos_id_comments_comment_id_post

        Reply to a thread of a video  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
